pcl::device::kinfuLS::Warp Struct Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/src/cuda/utils.hpp>`

## Public Types

enum | { LOG_WARP_SIZE = 5, WARP_SIZE = 1 << LOG_WARP_SIZE, STRIDE = WARP_SIZE }

## Static Public Member Functions

static __device__ __forceinline__ unsigned int | laneId ()
| Returns the warp lane ID of the calling thread. More...
static __device__ __forceinline__ unsigned int | id ()
static __device__ __forceinline__ int | laneMaskLt ()
static __device__ __forceinline__ int | binaryExclScan (int ballot_mask)

## Detailed Description

Definition at line 542 of file utils.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
LOG_WARP_SIZE |
WARP_SIZE |
STRIDE |

Definition at line 544 of file utils.hpp.

## Member Function Documentation

## binaryExclScan()

static __device__ __forceinline__ int pcl::device::kinfuLS::Warp::binaryExclScan | ( | int | ballot_mask | ) |

inline static

Definition at line 578 of file utils.hpp.

References laneMaskLt().

## id()

static __device__ __forceinline__ unsigned int pcl::device::kinfuLS::Warp::id | ( |  | ) |

inline static

Definition at line 560 of file utils.hpp.

## laneId()

static __device__ __forceinline__ unsigned int pcl::device::kinfuLS::Warp::laneId | ( |  | ) |

inline static

Returns the warp lane ID of the calling thread.

Definition at line 553 of file utils.hpp.

## laneMaskLt()

static __device__ __forceinline__ int pcl::device::kinfuLS::Warp::laneMaskLt | ( |  | ) |

inline static

Definition at line 567 of file utils.hpp.

Referenced by binaryExclScan().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/kinfu_large_scale/src/cuda/utils.hpp